import request from '@/utils/request'

// 查询年度考核信息列表
export function listAssessment(query) {
  return request({
    url: '/shiftmgr/assessment/list',
    method: 'get',
    params: query
  })
}

// 查询年度考核信息详细
export function getAssessment(id) {
  return request({
    url: '/shiftmgr/assessment/' + id,
    method: 'get'
  })
}

// 新增年度考核信息
export function addAssessment(data) {
  return request({
    url: '/shiftmgr/assessment',
    method: 'post',
    data: data
  })
}

// 修改年度考核信息
export function updateAssessment(data) {
  return request({
    url: '/shiftmgr/assessment',
    method: 'put',
    data: data
  })
}

// 删除年度考核信息
export function delAssessment(id) {
  return request({
    url: '/shiftmgr/assessment/' + id,
    method: 'delete'
  })
}

// 导出年度考核信息
export function exportAssessment(query) {
  return request({
    url: '/shiftmgr/assessment/export',
    method: 'get',
    params: query
  })
}